<?php
require_once 'config/config.php';
require_once 'models/FotoInspeccion.php';

requireLogin();

header('Content-Type: application/json');

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_FILES['foto'])) {
    $fotoInspeccion = new FotoInspeccion();
    
    $inspeccion_id = $_POST['inspeccion_id'] ?? 0;
    $elemento_id = $_POST['elemento_id'] ?? 0;
    $descripcion = $_POST['descripcion'] ?? '';
    
    $result = $fotoInspeccion->uploadFoto($inspeccion_id, $elemento_id, $_FILES['foto'], $descripcion);
    
    echo json_encode($result);
} else {
    echo json_encode(['success' => false, 'message' => 'No se recibió ningún archivo']);
}
?>
