USE sistema_inspeccion;

-- Tabla para almacenar fotografías de inspección
CREATE TABLE fotos_inspeccion (
    id INT AUTO_INCREMENT PRIMARY KEY,
    inspeccion_id INT NOT NULL,
    elemento_id INT NOT NULL,
    nombre_archivo VARCHAR(255) NOT NULL,
    ruta_archivo VARCHAR(500) NOT NULL,
    descripcion TEXT,
    fecha_subida TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
    FOREIGN KEY (inspeccion_id) REFERENCES inspecciones(id) ON DELETE CASCADE,
    FOREIGN KEY (elemento_id) REFERENCES elementos_inspeccion(id)
);

-- Crear directorio para fotos (esto debe hacerse manualmente en el servidor)
-- mkdir uploads/fotos_inspeccion
