-- Script de verificación manual - ejecutar línea por línea

-- 1. Usar la base de datos correcta
USE sistema_inspeccion;

-- 2. Ver la estructura actual de la tabla
DESCRIBE inspecciones;

-- 3. Ver los datos actuales
SELECT id, numero_contrato, estado, fecha_inspeccion FROM inspecciones;

-- 4. Si la columna estado no existe, ejecutar esta línea:
-- ALTER TABLE inspecciones ADD COLUMN estado ENUM('borrador', 'completada', 'cancelada') DEFAULT 'borrador';

-- 5. Si la columna existe pero necesita ser modificada:
-- ALTER TABLE inspecciones MODIFY COLUMN estado ENUM('borrador', 'completada', 'cancelada') DEFAULT 'borrador';

-- 6. Actualizar registros existentes
-- UPDATE inspecciones SET estado = 'borrador' WHERE estado IS NULL OR estado = '';

-- 7. Verificar el resultado final
-- SELECT id, numero_contrato, estado, fecha_inspeccion FROM inspecciones;
